#ifndef __SANGOMA_TDM_SDK_VERSION_H__
#define __SANGOMA_TDM_SDK_VERSION_H__

/*!
  \def SANGOMA_TDM_SDK_VERSION
  \brief Sangoma TDM SDK Macro to check the Version Number
*/
#define SANGOMA_TDM_SDK_VERSION(a,b,c) (((a) << 16) + ((b) << 8) + (c))

/*!
  \def SANGOMA_TDM_SDK_VERSION_CODE
  \brief Sangoma DM SDK Current Version Number to be checked against the SANGOMA_TDM_SDK_VERSION Macro
*/
#define SANGOMA_TDM_SDK_VERSION_CODE SANGOMA_TDM_SDK_VERSION(1,0,0)

/*!
  \def SANGOMA_TDM_SDK_VERSION_STR
  \brief Sangoma TDM SDK Version in string format
*/
#define SANGOMA_TDM_SDK_VERSION_STR "1.0.0"

#endif
